<div class="app-modal harbor-modal harbor-modal-{{ application.identifier }} mt-3">
  <div class="app-modal-header bg-dark">Image registry</div>
  <div class="app-modal-body">
    {% if application.harborproject %}
      <div class="row mb-2">
        <div class="col-5 fw-semibold">Name</div>
        <div class="col-7 harbor-name-{{ application.identifier }}">{{ application.harborproject.project_name }}</div>
      </div>
      <div class="row mb-2">
        <div class="col-5 fw-semibold">Username</div>
        <div class="col-7 harbor-username-{{ application.identifier }}">{{ application.harborproject.username }}</div>
      </div>
      <div class="row mb-2">
        <div class="col-5 fw-semibold">Password</div>
        <div class="col-7 harbor-password-{{ application.identifier }}">
          <span class="password-display">
            <div class="password">****************</div>
            <pre class="text d-none"><code>{{ application.harborproject.password }}</code></pre>
            <div class="show-btn">Show</div>
          </span>
        </div>
      </div>
      <div class="app-modal-btn-container">
        <button type="button" class="btn btn-outline-primary btn-sm" data-bs-toggle="modal" data-bs-target="#harbor-instructions-modal-{{ application.identifier }}">Instructions</button>
      </div>
    {% else %}
      {% if user_role == 'owner' or user_role == 'editor' %}
        <div class="text-center py-2">
          <button
            data-href="{% url 'create_harbor_project' identifier=application.identifier %}"
            class="btn btn-sm btn-outline-primary harbor-create-btn harbor-create-btn-{{ application.identifier }}"
            data-identifier="{{ application.identifier }}">Create project</button>
        </div>
      {% else %}
        <div class="text-center py-2">
          <div class="text-muted">No project found. Contact app's owner or editor to create a project.</div>
        </div>
      {% endif %}
    {% endif %}
  </div>
</div>
